Precise: Service Pack 5.4.2.3

This will upgrade Precise 5.4.2 to 5.4.2.3, fixing various bugs. Summary:

Variable DISTRO_ARCHDIR in file /etc/DISTRO_SPECS fixed, now 'i386-linux-gnu'.

DEB pkg 'libp11-kit-dev' was missing, needed for compiling apps with gnutls dep.
DEB pkg 'libx264-dev' was missing, needed for compiling apps that need x264.
Utility 'fusermount' was missing.
Some entries in Filesystem menu were missing.
Added utilities 'col' 'align' 'width' 'whereis'.
Try fix ROX-Filer crashing at startup.
Pdvdrsab fixed.
wpa patch for kernel module rt2800pci (wireless) (k3.2.29).
'nouveau' kernel module was blacklisted, shouldn't have been.
DISTRO_VERSION gets reset after installed Service Pack, temp workaround.
Added kernel module dvb-usb-rtl2832u (for k3.2.29).
Still getting reports multiarch symlinks changed to dir, fixed.


This should be automatically offered when you run the PPM.

Alternatively, you can download it directly (526K):
http://distro.ibiblio.org/quirky/pet_packages-precise/service_pack-5.4.2_TO_5.4.2.3_precise.pet


Posted on 17 Dec 2012, 10:02


Comments:

Posted on 17 Dec 2012, 10:07 by BarryK
Woof commit
Latest Woof commit:
http://bkhome.org/fossil/woof2.cgi/info/c9e0fd217a



Posted on 17 Dec 2012, 11:09 by broomdodger
Test post

'broomdodger' has registered.



Posted on 17 Dec 2012, 12:34 by broomdodger
ppm + 5423
ppm asked for 5423
installed
working
Thank you
Bill


Posted on 17 Dec 2012, 18:13 by Terryphi
DISTRO_SPECS
PPM now correctly offers latest Service Pack. However, DISTRO_SPECS still reverts to 5.4.2 on reboot. I have noted that latest fix is only a temporary workaround.

I really like the Service Pack concept and hope that it can be developed further for LTS versions of Puppy.